## org.gnu.gdk
Class CapStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.CapStyle

public class CapStyle
extends Enum

Field Summary
`static CapStyle` `BUTT`
`static CapStyle` `NOT_LAST`
`static CapStyle` `PROJECTING`
`static CapStyle` `ROUND`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`CapStyle` `and(CapStyle other)`
`static CapStyle` `intern(int value)`
`CapStyle` `or(CapStyle other)`
`boolean` `test(CapStyle other)`
`CapStyle` `xor(CapStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT_LAST

    public static final CapStyle NOT_LAST

### BUTT

    public static final CapStyle BUTT

### ROUND

    public static final CapStyle ROUND

### PROJECTING

    public static final CapStyle PROJECTING

Method Detail

### intern

    public static CapStyle intern(int value)

### or

    public CapStyle or(CapStyle other)

### and

    public CapStyle and(CapStyle other)

### xor

    public CapStyle xor(CapStyle other)

### test

    public boolean test(CapStyle other)